 ~~~~~~~~~~~~~~~~~~~~~~~~
   Missing line endings
 ~~~~~~~~~~~~~~~~~~~~~~~~


Isolated command with no end-of-line:

  $ cat <<EOF > no-eol1.t
  > Start
  > 
  >   $ printf foo
  > 
  > End
  > EOF
  $ kuulto-run1 no-eol1.t
   ________________________________________________________________________
  /                                                               no-eol1.t
  Start
  
    $ printf foo
    foo (no-eol)
  
  End
  \________________________________________________________________________


No-eol command immediately followed by another command:

  $ cat <<EOF > no-eol2.t
  > Start
  > 
  >   $ printf foo
  >   $ echo bar
  > 
  > End
  > EOF
  $ kuulto-run1 no-eol2.t
   ________________________________________________________________________
  /                                                               no-eol2.t
  Start
  
    $ printf foo
    foo (no-eol)
    $ echo bar
    bar
  
  End
  \________________________________________________________________________


Same no-eol, but in verbatim mode. The display is expected to be messed up
due to the line wrapping, but all elements should nevertheless be present.

  $ kuulto-run1 no-eol2.t -V
   ________________________________________________________________________
  /                                                               no-eol2.t
  Start
  
    $ printf foo
    foo  $ echo bar
    bar
  
  End
  \________________________________________________________________________


No EOL just before the end of file:

  $ cat <<EOF > no-eol3.t
  > Start
  > 
  >   $ printf foo
  > EOF
  $ kuulto-run1 no-eol3.t
   ________________________________________________________________________
  /                                                               no-eol3.t
  Start
  
    $ printf foo
    foo (no-eol)
  \________________________________________________________________________


Again, same no-eol in verbatim mode. The display is expected to be messed up
due to the line wrapping, but all elements should neverthless be present.

  $ kuulto-run1 no-eol3.t -V
   ________________________________________________________________________
  /                                                               no-eol3.t
  Start
  
    $ printf foo
    foo\________________________________________________________________________


Incorrect no-eol declarations in expected output:

  $ cat <<EOF > eol-decl.t
  > Start
  >
  >  Pretending to have an EOL
  >   $ printf foo
  >   foo
  >
  >  Pretending to lack an EOL
  >   $ echo bar
  >   bar (no-eol)
  >
  > End
  > EOF
  $ kuulto-run1 eol-decl.t
   ________________________________________________________________________
  /                                                              eol-decl.t
  Start
  
   Pretending to have an EOL
    $ printf foo
    foo (no-eol)
  
   Pretending to lack an EOL
    $ echo bar
    bar
  
  End
  \________________________________________________________________________


The end.
