 ~~~~~~~~~~~~~~~
   Return code
 ~~~~~~~~~~~~~~~


Simple command with no output and a return code:

  $ cat <<EOF > simple.t
  >   $ ( exit 7; )
  > EOF
  $ kuulto-run1 simple.t
   ________________________________________________________________________
  /                                                                simple.t
    $ ( exit 7; )
    [7]
  \________________________________________________________________________


Commands returning error codes, with varying degrees of provided output:

  $ cat <<EOF > mhall.t
  > One, two, three...
  >
  >   $ for w in Mary had a little lamb; do echo \$w; done; ( exit 1; )
  >   $ for w in Its fleece as white as snow; do echo \$w; done; ( exit 2; )
  >   as
  >   white
  >   as
  >   snow
  >   $ echo yeah; ( exit 3; )
  >   yeah
  >   $ for w in Everywhere the child went; do echo \$w; done; ( exit 4; )
  >   Everywhere
  >   the
  >   child
  >   went
  >   [4]
  >   $ for w in The little lamb was sure; do echo \$w; done
  >   > echo to go
  >   > ( exit 5; )
  >   [5]
  >   $ echo yeah
  >   > ( exit 6; )
  >   yeah
  >   [6]
  >
  > Spoiler:
  >  he followed her one day
  >  he broke the teacher''s rule
  >  but what time did they have
  >  that day at school!
  > EOF
  $ kuulto-run1 mhall.t
   ________________________________________________________________________
  /                                                                 mhall.t
  One, two, three...
  
    $ for w in Mary had a little lamb; do echo $w; done; ( exit 1; )
    Mary
    had
    a
    little
    lamb
    [1]
    $ for w in Its fleece as white as snow; do echo $w; done; ( exit 2; )
    Its
    fleece
    as
    white
    as
    snow
    [2]
    $ echo yeah; ( exit 3; )
    yeah
    [3]
    $ for w in Everywhere the child went; do echo $w; done; ( exit 4; )
    Everywhere
    the
    child
    went
    [4]
    $ for w in The little lamb was sure; do echo $w; done
    > echo to go
    > ( exit 5; )
    The
    little
    lamb
    was
    sure
    to go
    [5]
    $ echo yeah
    > ( exit 6; )
    yeah
    [6]
  
  Spoiler:
   he followed her one day
   he broke the teacher''s rule
   but what time did they have
   that day at school!
  \________________________________________________________________________


Illustrating the use of 'set -e' in a test script; the test will be
interrupted and return immediately, thus skipping any remaining statements:

  $ cat <<EOF > set-e.t
  >   $ set -e  # exit upon the first error
  >   $ bye() { return 11; }
  >   $ echo Tisket
  >   $ echo Tasket
  >
  >   $ bye
  >
  > NOT REACHED
  >
  >   $ echo A green and yellow basket
  > EOF
  $ kuulto-run1 set-e.t
   ________________________________________________________________________
  /                                                                 set-e.t
    $ set -e  # exit upon the first error
    $ bye() { return 11; }
    $ echo Tisket
    Tisket
    $ echo Tasket
    Tasket
  
    $ bye
  \________________________________________________________________________
  [11]


Ditto with a bare exit:

  $ cat <<EOF > bare-exit.t
  >   $ echo Sent a letter to my baby
  >   $ exit 12
  >   $ echo On the way I passed it
  >
  > NOT REACHED
  > EOF
  $ kuulto-run1 bare-exit.t
   ________________________________________________________________________
  /                                                             bare-exit.t
    $ echo Sent a letter to my baby
    Sent a letter to my baby
    $ exit 12
  \________________________________________________________________________
  [12]


The end, and a nod to SRV.
