 ~~~~~~~~~~~~~~~~~~~~~
   State transitions
 ~~~~~~~~~~~~~~~~~~~~~


Exercising the transitions from the different parsing states of a test file.
The following table summarizes in which test are each transitions tested:

 +---------+---------+---------+---------+---------+
 |from \ to| command | output  |  none   |   end   |
 +---------+---------+---------+---------+---------+
 | command |    1    |   1,2   |   1,3   |    3    |
 +---------+---------+---------+---------+---------+
 |  output |   2,3   |    2    |    1    |    2    |
 +---------+---------+---------+---------+---------+
 |    none |  1,2,3  |   (3)   |    3    |    1    |
 +---------+---------+---------+---------+---------+
 |     end |   n.a.  |   n.a.  |   n.a.  |   n.a.  |
 +---------+---------+---------+---------+---------+


Test1

  $ cat <<EOF > trans.t
  >   $ echo foo    # NONE to COMMAND
  >   $ echo bar    # COMMAND to COMMAND
  > COMMAND to NONE
  >   $ echo baz    # NONE to COMMAND
  >   baz
  > COMMAND to OUTPUT (above), OUTPUT to NONE, and NONE to END (below)
  > EOF
  $ kuulto-run1 trans.t
   ________________________________________________________________________
  /                                                                 trans.t
    $ echo foo    # NONE to COMMAND
    foo
    $ echo bar    # COMMAND to COMMAND
    bar
  COMMAND to NONE
    $ echo baz    # NONE to COMMAND
    baz
  COMMAND to OUTPUT (above), OUTPUT to NONE, and NONE to END (below)
  \________________________________________________________________________


Test2

  $ cat <<EOF > test2.t
  >   $ echo foo; echo bar  # NONE to COMMAND
  >   foo
  >   bar
  >   $ echo qux    # COMMAND to OUTPUT to OUTPUT (above) to COMMAND
  >   qux
  > EOF
  $ kuulto-run1 test2.t
   ________________________________________________________________________
  /                                                                 test2.t
    $ echo foo; echo bar  # NONE to COMMAND
    foo
    bar
    $ echo qux    # COMMAND to OUTPUT to OUTPUT (above) to COMMAND
    qux
  \________________________________________________________________________


Test3

  $ cat <<EOF > test3.t
  > NONE to NONE
  >   $ echo foo    # NONE to COMMAND
  > COMMAND to NONE
  > NONE to NONE
  >   NONE to OUTPUT (dismissed, not a real transition)
  >   $ echo bar
  > EOF
  $ kuulto-run1 test3.t
   ________________________________________________________________________
  /                                                                 test3.t
  NONE to NONE
    $ echo foo    # NONE to COMMAND
    foo
  COMMAND to NONE
  NONE to NONE
    NONE to OUTPUT (dismissed, not a real transition)
    $ echo bar
    bar
  \________________________________________________________________________
